ApiEndPoint (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiEndPoint

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiEndPoint

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiEndPoint
      extends Object

  This defines a single logical service in the SDX cluster. A single service can expose one or more URLs. This ApiEndPoint groups the URLs logically for configuration, versioning, or any other service specific reason.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiEndPoint()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiEndPoint` | `addEndPointHostListItem(ApiEndPointHost endPointHostListItem)`
    `ApiEndPoint` | `addServiceConfigsItem(ApiMapEntry serviceConfigsItem)`
    `ApiEndPoint` | `endPointHostList(List<ApiEndPointHost> endPointHostList)`
    `boolean` | `equals(Object o)`
    `List<ApiEndPointHost>` | `getEndPointHostList()` List hosts (uris) for this endPoint.
    `String` | `getName()` Name for the endPoint.
    `List<ApiMapEntry>` | `getServiceConfigs()` Additional configs for the endPoint.
    `String` | `getServiceType()` Endpoint service type.
    `String` | `getVersion()` Endpoint specific version.
    `int` | `hashCode()`
    `ApiEndPoint` | `name(String name)`
    `ApiEndPoint` | `serviceConfigs(List<ApiMapEntry> serviceConfigs)`
    `ApiEndPoint` | `serviceType(String serviceType)`
    `void` | `setEndPointHostList(List<ApiEndPointHost> endPointHostList)`
    `void` | `setName(String name)`
    `void` | `setServiceConfigs(List<ApiMapEntry> serviceConfigs)`
    `void` | `setServiceType(String serviceType)`
    `void` | `setVersion(String version)`
    `String` | `toString()`
    `ApiEndPoint` | `version(String version)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiEndPoint

          public ApiEndPoint()

  - ### Method Detail

    - #### name

          public ApiEndPoint name(String name)

    - #### getName

          public String getName()

      Name for the endPoint.
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### version

          public ApiEndPoint version(String version)

    - #### getVersion

          public String getVersion()

      Endpoint specific version.
      Returns:
        version

    - #### setVersion

          public void setVersion(String version)

    - #### serviceConfigs

          public ApiEndPoint serviceConfigs(List<ApiMapEntry> serviceConfigs)

    - #### addServiceConfigsItem

          public ApiEndPoint addServiceConfigsItem(ApiMapEntry serviceConfigsItem)

    - #### getServiceConfigs

          public List<ApiMapEntry> getServiceConfigs()

      Additional configs for the endPoint.
      Returns:
        serviceConfigs

    - #### setServiceConfigs

          public void setServiceConfigs(List<ApiMapEntry> serviceConfigs)

    - #### endPointHostList

          public ApiEndPoint endPointHostList(List<ApiEndPointHost> endPointHostList)

    - #### addEndPointHostListItem

          public ApiEndPoint addEndPointHostListItem(ApiEndPointHost endPointHostListItem)

    - #### getEndPointHostList

          public List<ApiEndPointHost> getEndPointHostList()

      List hosts (uris) for this endPoint.
      Returns:
        endPointHostList

    - #### setEndPointHostList

          public void setEndPointHostList(List<ApiEndPointHost> endPointHostList)

    - #### serviceType

          public ApiEndPoint serviceType(String serviceType)

    - #### getServiceType

          public String getServiceType()

      Endpoint service type.
      Returns:
        serviceType

    - #### setServiceType

          public void setServiceType(String serviceType)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.